## Deployment

1. Ssh into [adk-x-app-builder](https://console.cloud.google.com/compute/instancesDetail/zones/us-central1-a/instances/adk-x-app-builder?authuser=0&project=hc-inbox) using your solutionbeyond account

2. Add your ssh key [Follow this guide](https://gitlab.com/Talking-DB/coding/pocs/frontend-components-explorer-exporter-tester/using-storybook/-/issues/5#note_701316769) (one time setup)

3. > cd /home/jatin_s/using-syncfusion-treegrid

4. > git pull 

Make sure you are on master branch or the branch that you want to deploy

5. > ./deploy-storybook.sh


### It will be deployed: https://report-view-talking-db.smarter.codes/

## Checklist
[Figma Design](https://www.figma.com/proto/GuenRdNeYuH8dHfNeRhrp7/Main-File-For-Engineering?page-id=1%3A3&node-id=1%3A11208&viewport=411%2C48%2C0.5&scaling=min-zoom&starting-point-node-id=1%3A11208&show-proto-sidebar=1)

- [ ] code is open source and easily modifiable. [#9](https://gitlab.com/Talking-DB/coding/pocs/ui-components/tree-view/using-syncfusion-treegrid/-/issues/9)

- [ ] Toggleable Nested TreeView (UI) with dynamic data. [#2](https://gitlab.com/Talking-DB/coding/pocs/ui-components/tree-view/using-syncfusion-treegrid/-/issues/2)

- [ ] Add a new view under parent(parent treeview) view. [Details](https://gitlab.com/Talking-DB/hc-inbox/hc-inbox-product-design/-/issues/68) [#3](https://gitlab.com/Talking-DB/coding/pocs/ui-components/tree-view/using-syncfusion-treegrid/-/issues/3)

- [ ] show at-most 2 roll-ups on collapsed Tree View. [#10](https://gitlab.com/Talking-DB/coding/pocs/ui-components/tree-view/using-syncfusion-treegrid/-/issues/10)

- [ ] Expand State(Sideways) of TreeView for all rollups [Details](https://gitlab.com/Talking-DB/hc-inbox/hc-inbox-product-design/-/issues/67) [#11](https://gitlab.com/Talking-DB/coding/pocs/ui-components/tree-view/using-syncfusion-treegrid/-/issues/11) ([sub-issue #13](https://gitlab.com/Talking-DB/coding/pocs/ui-components/tree-view/about-tree-view/-/issues/13))

- [ ] Resizing and Repositioning of Rollups (in expanded state). [#12](https://gitlab.com/Talking-DB/coding/pocs/ui-components/tree-view/using-syncfusion-treegrid/-/issues/12)

- [ ] Create new rollups. [#7](https://gitlab.com/Talking-DB/coding/pocs/ui-components/tree-view/using-syncfusion-treegrid/-/issues/7)

- [ ] Menu for different operations in rollups(in expanded state). [#6](https://gitlab.com/Talking-DB/coding/pocs/ui-components/tree-view/using-syncfusion-treegrid/-/issues/6) 

- [ ] In place editing. [#8](https://gitlab.com/Talking-DB/coding/pocs/ui-components/tree-view/using-syncfusion-treegrid/-/issues/8)

